Installation
============

This program requires GTK+ 2.16 or higher to be compiled.

Build it
========

If you're using a package-based system, please make sure that gtk-devel
and glib-devel (or similar) packages are installed before the compilation
(you may also require flex (lex) and bison (yacc)).

To compile and install, just type:

% ./configure
% make
% su
Password: [Enter password]
# make install

To run, just type:

% claws-mail

Additional libraries or programs
================================
only needed if you require the additional functionality

Bogofilter
    for Bogofilter plugin support
    http://bogofilter.sourceforge.net/
Bsfilter
    for Bsfilter plugin support
    http://sourceforge.jp/projects/bsfilter/
Canberra (>= 0.6)
    for some sound features of Notification plugin
    http://0pointer.de/lennart/projects/libcanberra/
compface
    for X-Face support
    http://freshmeat.net/projects/compface/
Clam AntiVirus daemon
    for Clamd plugin support
    http://www.clamav.net/
D-Bus (>= 0.60)
    for interprocess communication support
    http://www.freedesktop.org/wiki/Software/dbus
Enchant (and dictionaries) (>= 1.0.0)
    for spell-checker support
    http://www.abisource.com/enchant/
GData (>= 0.6.4)
    for GData plugin support
    https://live.gnome.org/libgdata/
GnuPG (>= 1.2.1) and GPGME (>=  0.4.5)
    for GnuPG and S/MIME plugin support
    http://www.gnupg.org/
    ftp://ftp.gnupg.org/gcrypt/gpgme/
GnuTLS (>= 0.4.2)
    for SSL support
    http://www.gnu.org/software/gnutls/
GTK+ WebKit (>= 1.0)
    for Fancy plugin support
    http://trac.webkit.org/wiki/WebKitGTK/
Gs tool
    for PostScript feature of PDF Viewer plugin
    http://pages.cs.wisc.edu/~ghost/
Indicate (>= 0.3.0)
    for indicator feature of Notification plugin
    https://launchpad.net/libindicator/
J-Pilot
    for J-Pilot support
    http://www.jpilot.org/
LCDproc daemon
    for lcdproc feature of Notification plugin
    http://www.lcdproc.org
libEtPan! (>= 0.57)
    for IMAP4, NNTP and Mailmbox plugin support
    http://www.etpan.org
Network Manager (>= 0.6.2)
    for support for detection of network connection changes
    http://www.gnome.org/projects/NetworkManager/
OpenLDAP (>= 2.0.7)
    for LDAP support
    http://www.openldap.org/
Perl (>= 5.8.0)
    for perl plugin support
    http://www.perl.org/
Poppler (>= 0.4.2)
    for PDF Viewer plugin support
    http://poppler.freedesktop.org/       
GnuTLS (>= 0.4.2)
    for SSL support
    http://www.gnu.org/software/gnutls/
PyGTK (>= 2.10.3) 
    for Python plugin support
    http://www.pygtk.org/
Python
    for Python plugin support
    http://python.org/
SpamAssassin
    for SpamAssassin plugin support
    http://spamassassin.apache.org/
 
Options for configure script
============================
Most options are automatically enabled if the dependencies
are matched.

  --with-config-dir=RCDIR      	    local config dir (default: ~/.claws-mail)
  --disable-compface  		    disable compface (X-Face) support
  --disable-ipv6      		    disable IPv6 support
  --disable-gnutls    		    disable GnuTLS support
  --disable-libetpan		    disable IMAP4 and NNTP support
  --disable-gnomeprint		    disable libgnomeprint support
  --disable-enchant     	    disable Enchant support
  --disable-ldap       		    disable LDAP support
  --disable-jpilot     		    disable JPilot support
  --disable-startup-notification    disable startup notification support
  --disable-valgrind                disable valgrind support for debugging
  --enable-crash-dialog   	    enable crash dialog
  --disable-startup-notification    disable startup notification support
  --disable-trayicon-plugin         do not build System Tray Icon plugin
  --disable-spamassassin-plugin     do not build SpamAssassin plugin
  --disable-pgpcore-plugin	    do not build PGP/Core plugin
  --disable-pgpmime-plugin          do not build PGP/MIME plugin
  --disable-pgpinline-plugin        do not build PGP/Inline plugin
  --disable-smime-plugin            do not build S/Mime plugin
  --disable-bogofilter-plugin       do not build Bogofilter plugin
  --disable-address_keeper-plugin   do not build Address Keeper plugin
  --disable-archive-plugin          do not build Archive plugin
  --disable-att_remover-plugin      do not build Att Remover plugin
  --disable-attachwarner-plugin     do not build Attachwarner plugin
  --disable-bsfilter-plugin         do not build BSfilter plugin
  --disable-clamd-plugin            do not build Clamd plugin
  --disable-fancy-plugin            do not build Fancy plugin
  --disable-fetchinfo-plugin        do not build Fetchinfo plugin
  --disable-gdata-plugin            do not build GData plugin
  --disable-mailmbox-plugin         do not build MailMbox plugin
  --disable-newmail-plugin          do not build NewMail plugin
  --disable-notification-plugin     do not build Notification plugin
  --disable-pdf_viewer-plugin       do not build PDF Viewer plugin
  --disable-perl-plugin             do not build Perl plugin
  --disable-python-plugin           do not build Python plugin
  --disable-rssyl-plugin            do not build RSSyl plugin
  --disable-spamassassin-plugin     do not build SpamAssassin plugin
  --disable-spam_report-plugin      do not build Spam Report plugin
  --disable-tnef_parse-plugin       do not build TNEF Parse plugin
  --disable-vcalendar-plugin        do not build vCalendar plugin
  --disable-manual		    do not build user manuals
  --disable-nls           	    do not use Native Language Support

For other options, refer to ./configure --help .


